- Home
- API Enriched
- Shape
- shape
- List Scripts.
List Scripts.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"example","filters":{"approval_status_filter":{"approval_status_strings":["example"],"op":"IN"},"device_id_filter":{"device_id_strings":["example"],"op":"IN"},"ip_filter":{"ip_strings":["example"],"op":"IN"},"risk_level_filter":{"op":"IN","risk_level_strings":["example"]},"script_name_filter":{"op":"IN","script_name_strings":["example"]},"script_status_filter":{"op":"IN","script_status_strings":["example"]}},"namespace":"example","page_number":1,"page_size":1,"page_token":"example","sorts":[{"field":"example","order":"DESCENDING"}],"start_time":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "example", "filters": { "approval_status_filter": { "approval_status_strings": [ "example" ], "op": "IN" }, "device_id_filter": { "device_id_strings": [ "example" ], "op": "IN" }, "ip_filter": { "ip_strings": [ "example" ], "op": "IN" }, "risk_level_filter": { "op": "IN", "risk_level_strings": [ "example" ] }, "script_name_filter": { "op": "IN", "script_name_strings": [ "example" ] }, "script_status_filter": { "op": "IN", "script_status_strings": [ "example" ] } }, "namespace": "example", "page_number": 1, "page_size": 1, "page_token": "example", "sorts": [ { "field": "example", "order": "DESCENDING" } ], "start_time": "example" }'List all the scripts for the tenant depending on start time and end time.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to list scripts.
object
Format: unix epoch timestamp in seconds fetch scripts whose timestamp <= end_time.
object
object
An unordered list of approval status strings.
object
An unordered list of Device ID strings.
object
An unordered list of IP address strings.
object
An unordered list of risk level strings.
object
An unordered list of script name strings.
object
An unordered list of script status strings.
Namespace
One-indexed page number (starts from 1), page_number and page_size are optional when page_token is specified.
The maximum number of scripts to return per page.
Page_token is the value of listscriptsresponse.next_page_token from previous request.
Additional sort criteria.
API query sort criteria.
object
Field specification or configuration
Format: unix epoch timestamp in seconds fetch scripts whose timestamp >= start_time.
Responses
Section titled “Responses”A successful response.
Response to list scripts.
object
Opaque value passed back alone with the additional calls. All filtering will stay the same.
One-indexed page number.
The maximum number of scripts to return per page.
List of scripts depending upon time filter.
Script information.
object
Number of affected users that loaded this script.
Status of script.
Format: unix epoch timestamp in milliseconds First seen time.
Number of form fields read by script.
ID of the script.
Number of inline scripts tagged to the script having different hash.
List of user-provided script justifications.
User-provided script justification.
object
Format: unix epoch timestamp in seconds Time that the justification was entered.
Script Justification.
ID of the justification.
ID of the justification creator.
Format: unix epoch timestamp in milliseconds Last seen time.
Locations where the script was found.
Number of network interactions.
Number of new behaviors of the script.
Risk level of the script.
Script detected in the webpage.
Script Status.
Total count of scripts available at time of query, and subject to change across queries.
Total number of pages available depending upon requested page_size.
Examplegenerated
{ "next_page_token": "example", "page_number": 1, "page_size": 1, "scripts": [ { "affected_users_count": 1, "approval_status": "example", "first_seen": "example", "form_fields_read": 1, "id": "example", "inline_scripts_count": 1, "justifications": [ { "create_time": "example", "justification": "example", "justification_id": "example", "user_id": "example" } ], "last_seen": "example", "locations": [ "example" ], "network_interactions": 1, "new_behaviors": 1, "risk_level": "example", "script_name": "example", "status": "example" } ], "total_count": 1, "total_pages": 1}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example